---
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: airm-secrets-airm
  namespace: airm
spec:
  data:
    - remoteRef:
        key: airm-ui-auth-nextauth-secret
      secretKey: NEXTAUTH_SECRET
  refreshInterval: 15s
  secretStoreRef:
    kind: ClusterSecretStore
    name: airm-secret-store
  target:
    name: airm-secrets-airm
